Notification (consumer-service 1.9.0-2.17.2 API)
Date: 2014-01-30

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.messaging.common.consumer.notifier
Class Notification

    java.lang.Object
      org.gcube.messaging.common.consumer.notifier.Notification

Direct Known Subclasses:
  GHNNotification, RINotification

    public abstract class Notification

extends Object

Author:
  Andrea Manzi(CERN)

Constructor Summary
`Notification()` default constructor

Method Summary
`String` | `getMessage()` get the message
`org.gcube.common.core.scope.GCUBEScope` | `getScope()` return the scope
`String` | `getSourceGHN()` Get the source GHN
`String` | `getTime()` The Notification time
`String` | `getType()` type
`void` | `setMessage(String message)` set the message
`void` | `setScope(org.gcube.common.core.scope.GCUBEScope scope)` set the scope
`void` | `setSourceGHN(String sourceGHN)` Set the source GHN
`void` | `setTime(String time)` The Notification time
`void` | `setType(String type)` set the type

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Notification

    public Notification()

  default constructor

Method Detail

### getTime

    public String getTime()

  The Notification time

  Returns:

### setTime

    public void setTime(String time)

  The Notification time

  Parameters:
    `time` -

### getType

    public String getType()

  type

  Returns:
    the notification type

### setType

    public void setType(String type)

  set the type

  Parameters:
    `type` - the type

### getSourceGHN

    public String getSourceGHN()

  Get the source GHN

  Returns:
    the source GHN

### setSourceGHN

    public void setSourceGHN(String sourceGHN)

  Set the source GHN

  Parameters:
    `sourceGHN` - the source GHN

### getMessage

    public String getMessage()

  get the message

  Returns:
    the message

### setMessage

    public void setMessage(String message)

  set the message

  Parameters:
    `message` -

### getScope

    public org.gcube.common.core.scope.GCUBEScope getScope()

  return the scope

  Returns:
    the scope

### setScope

    public void setScope(org.gcube.common.core.scope.GCUBEScope scope)

  set the scope

  Parameters:
    `scope` - the scope

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.